-- SQL92 Laut http://developer.mimer.se/validator/parser92/index.tml
-- Allgemeine Informationen
CREATE TABLE exportinfo (
  name                        varchar(16)   NOT NULL,
  wert                        text          NOT NULL
);


-- Archivdaten
CREATE TABLE archivdaten (
    archivdaten_pk            int           NOT NULL,
    objekt_id                 decimal(20),
    objekt_pid                text,
    attributgruppe_id         decimal(20),
    attributgruppe_pid        text,
    aspekt_id                 decimal(20),
    aspekt_pid                text,
    simulationsvariante       smallint,
    datenzeit                 double,
    PRIMARY KEY  (archivdaten_pk)
);


-- Attribute
CREATE TABLE attribut (
    attribut_pk               int,
    name                      text          NOT NULL,
    wertZahl                  %%%WERTZAHL_TYP%%%,
    wertKommazahl             %%%WERTKOMMAZAHL_TYP%%%,
    wertBool                  %%%WERTBOOL_TYP%%%,
    wertText                  %%%WERTTEXT_TYP%%%,
    archivdaten_fk            int,
    feld_fk                   int,
    liste_fk                  int,
    PRIMARY KEY  (attribut_pk)
);


-- Lookuptabellen f�r Felder/Array und Listen/Lists
CREATE TABLE feld (
    feld_pk                   int           NOT NULL,
    name                      text          NOT NULL,
    laenge                    int           NOT NULL,
    liste_fk                  int,
    archivdaten_fk            int,
    PRIMARY KEY (feld_pk)
);


CREATE TABLE liste (
    liste_pk                  int           NOT NULL,
    name                      text          NOT NULL,
    feld_fk                   int,
    liste_fk                  int,
    archivdaten_fk            int,
    PRIMARY KEY (liste_pk)
);
